<script setup>
import { ref, watch } from "vue";
const openModal = ref(false);
const modal = ref(null);
watch(
    () => openModal.value,
    (open) => {
        if (open) {
            window.addEventListener("click", listenWindow);
        } else {
            window.removeEventListener("click", listenWindow);
        }
    }
);
const listenWindow = (e) => {
    if (!modal.value.contains(e.target)) {
        openModal.value = false;
    }
};
</script>

<template>
    <div
        ref="modal"
        @click="openModal = !openModal"
        class="marketBottom__market2-block--more"
    >
        <div></div>
        <div></div>
        <div></div>
    </div>
    <div class="marketBottom__market2-menu" :class="{ active: openModal }">
        <a
            class="marketBottom__market2-select js-open-modal"
            href=""
            data-modal="item"
            >Карточка товара </a
        ><a class="marketBottom__market2-select" href="">Продать товар</a
        ><a class="marketBottom__market2-select" href="">В избранное</a>
    </div>
</template>

<style></style>
